version: '3.5'

services:
  laravel_sctranslate:
    ports:
      - "8006:8006"
    volumes:
      - .:/Users/alex/Sites/www/sctranslate/sctranslate-back
      - /Users/alex/Sites/www/sctranslate/sctranslate-back/vendor
    build: .
    command: php -S laravel_sctranslate:8006 -t public
    restart: always
    environment:
      - APP_DEBUG=true
    depends_on:
     - mariadb_laravel_sctranslate
  mariadb_laravel_sctranslate:
    image: mariadb
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_USER=laravel_sctranslate_user
      - MARIADB_DATABASE=laravel_sctranslate
      - MARIADB_PASSWORD=laravel_sctranslate_passwrd
      - MARIADB_ROOT_PASSWORD=laravel_sctranslate_passwrd
      - MARIADB_RANDOM_ROOT_PASSWORD=true
      - MARIADB_ALLOW_EMPTY_ROOT_PASSWORD=false
      - MARIADB_MASTER_PORT_NUMBER=3307
    ports:
      - '3307:3306'
